//phan a//
#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f("sotnn.inp");
	int N;
	f>>N;
	f.close();
	ofstream f1("sotnn.out");
	int tong;
	float tbc;
	int dem=0;
	tong=0;
	for(int i=1;i<N;i++)
	{
		if(i%2==0)
		{
			dem++;
			tong=tong+i;
		}
	}
	f1.setf(ios::fixed);
	f1.setf(ios::showpoint);
	f1.precision(2);
	tbc= float(tong)/dem;
	f1<<tong<<" "<<tbc<<endl;
	f1.close();
	return 0;
}
//phan b//

#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f("sotnn.inp");
	int N;
	f>>N;
	f.close();
	ofstream f1("sotnn.out");
	int tong;
	float tbc;
	int dem=0;
	tong=0;
	for(int i=1;i<N;i++)
	{
		if(i%2!=0)
		{
			dem++;
			tong=tong+i;
		}
	}
	f1.setf(ios::fixed);
	f1.setf(ios::showpoint);
	f1.precision(2);
	tbc= float(tong)/dem;
	f1<<tong<<" "<<tbc<<endl;
	f1.close();
	return 0;
}

//phan c//
#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f("sotnn.inp");
	int N;
	f>>N;
	f.close();
	ofstream f1("sotnn.out");
	int tong;
	float tbc;
	int dem=0;
	tong=0;
	for(int i=1;i<N;i++)
	{
		dem++;
		tong=tong+i;
	}
	f1.setf(ios::fixed);
	f1.setf(ios::showpoint);
	f1.precision(2);
	tbc= float(tong)/dem;
	f1<<tong<<" "<<tbc<<endl;
	f1.close();
	return 0;



